Bug 448307 - Yelp crash on startup
Yelp crash on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
: 448306 452063 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 14:23 EDT by Albrecht Dreß
Modified: 2009-06-21 09:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: yelp-2.26.0-3.fc11.i586
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 09:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace from yelp (10.80 KB, text/plain)
2008-06-18 21:33 EDT, Ian Chapman
no flags Details
Backtrace from yelp-2.22.1-3.fc9.ppc (12.68 KB, text/plain)
2008-06-21 20:37 EDT, Ian Chapman
no flags Details

  None (edit)
Description Albrecht Dreß 2008-05-25 14:23:00 EDT
Description of problem:
Reproducible crash when trying to launch yelp.

Version-Release number of selected component (if applicable):
yelp-2.22.1-1.fc9.ppc

How reproducible:
always

Steps to Reproduce:
1. just try to launch yelp

Additional info:
Bug Buddy data:
<snip>
Distribution: Fedora release 9 (Sulphur)
Gnome Release: 2.22.1 2008-05-07 (Red Hat, Inc)
BugBuddy Version: 2.22.0

System: Linux 2.6.25.3-18.fc9.ppc #1 Tue May 13 04:30:41 EDT 2008 ppc
X Vendor: The X.Org Foundation
X Vendor Release: 10499901
Selinux: No
Accessibility: Disabled
GTK+ Theme: Mist
Icon Theme: Tango

Memory status: size: 202829824 vsize: 202829824 resident: 29519872 share:
19304448 rss: 29519872 rss_rlim: 4294967295
CPU usage: start_time: 1211739601 rtime: 181 utime: 165 stime: 16 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/yelp'

[Thread debugging using libthread_db enabled]
[New Thread 0x4810fd40 (LWP 18862)]
[New Thread 0x4fdf4440 (LWP 18866)]
[New Thread 0x4f3f4440 (LWP 18865)]
[New Thread 0x4e9f4440 (LWP 18864)]
[New Thread 0x48eac440 (LWP 18863)]
0x0fcc1aa0 in waitpid () from /lib/libpthread.so.0
Current language:  auto; currently asm
#0  0x0fcc1aa0 in waitpid () from /lib/libpthread.so.0
#1  0x0ee8ee7c in IA__g_spawn_sync (working_directory=<value optimized out>, 
    argv=<value optimized out>, envp=<value optimized out>, 
    flags=<value optimized out>, child_setup=<value optimized out>, 
    user_data=<value optimized out>, standard_output=<value optimized out>, 
    standard_error=<value optimized out>, exit_status=<value optimized out>, 
    error=<value optimized out>) at gspawn.c:374
#2  0x0ee8f0bc in IA__g_spawn_command_line_sync (
    command_line=<value optimized out>, 
    standard_output=<value optimized out>, 
    standard_error=<value optimized out>, exit_status=<value optimized out>, 
    error=<value optimized out>) at gspawn.c:682
#3  0x0e7ae37c in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#4  0x0e7ae464 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  <signal handler called>
#6  0x0ecc5e18 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2285
#7  0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#8  0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#9  0x0270b914 in IA__gtk_widget_realize (widget=) at gtkwidget.c:3259
#10 0x0270b400 in IA__gtk_widget_map (widget=) at gtkwidget.c:3133
#11 0x024483b4 in gtk_container_map_child (child=) at gtkcontainer.c:2581
#12 0x023db720 in gtk_box_forall (container=) at gtkbox.c:809
#13 0x0244510c in IA__gtk_container_forall (container=) at gtkcontainer.c:1453
#14 0x02448420 in gtk_container_map (widget=) at gtkcontainer.c:2589
#15 0x0ecbf52c in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gmarshal.c:77
#16 0x0ecaafb8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gclosure.c:567
#17 0x0ecad1dc in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#18 0x0ecc5e00 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#19 0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#20 0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#21 0x0270b41c in IA__gtk_widget_map (widget=) at gtkwidget.c:3135
#22 0x024483b4 in gtk_container_map_child (child=) at gtkcontainer.c:2581
#23 0x0257c6d8 in gtk_paned_forall (container=) at gtkpaned.c:1178
#24 0x0244510c in IA__gtk_container_forall (container=) at gtkcontainer.c:1453
#25 0x02448420 in gtk_container_map (widget=) at gtkcontainer.c:2589
#26 0x0257b480 in gtk_paned_map (widget=) at gtkpaned.c:788
#27 0x0ecbf52c in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gmarshal.c:77
#28 0x0ecaafb8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gclosure.c:567
#29 0x0ecad1dc in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#30 0x0ecc5e00 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#31 0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#32 0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#33 0x0270b41c in IA__gtk_widget_map (widget=) at gtkwidget.c:3135
#34 0x024483b4 in gtk_container_map_child (child=) at gtkcontainer.c:2581
#35 0x023db6b0 in gtk_box_forall (container=) at gtkbox.c:799
#36 0x0244510c in IA__gtk_container_forall (container=) at gtkcontainer.c:1453
#37 0x02448420 in gtk_container_map (widget=) at gtkcontainer.c:2589
#38 0x0ecbf52c in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gmarshal.c:77
#39 0x0ecaafb8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gclosure.c:567
#40 0x0ecad1dc in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#41 0x0ecc5e00 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#42 0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#43 0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#44 0x0270b41c in IA__gtk_widget_map (widget=) at gtkwidget.c:3135
#45 0x0272691c in gtk_window_map (widget=) at gtkwindow.c:4339
#46 0x0ecbf52c in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gmarshal.c:77
#47 0x0ecaafb8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gclosure.c:567
#48 0x0ecad2d8 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#49 0x0ecc5e00 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#50 0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#51 0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#52 0x0270b41c in IA__gtk_widget_map (widget=) at gtkwidget.c:3135
#53 0x02726720 in gtk_window_show (widget=) at gtkwindow.c:4304
#54 0x0ecbf52c in IA__g_cclosure_marshal_VOID__VOID (
    closure=<value optimized out>, return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gmarshal.c:77
#55 0x0ecaafb8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at gclosure.c:567
#56 0x0ecad2d8 in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#57 0x0ecc5e00 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#58 0x0ecc7abc in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#59 0x0ecc8028 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#60 0x0270ab08 in IA__gtk_widget_show (widget=) at gtkwidget.c:2943
#61 0x1000a300 in yelp_base_new_window (base=0x1010d3a0, uri=0x0, 
    startup_id=0x10107540
"gnome-panel/yelp/2522-12-antares.localdomain_TIME31590372") at yelp-base.c:267
#62 0x1000a3f0 in server_new_window (base=<value optimized out>, 
    url=<value optimized out>, timestamp=<value optimized out>, 
    error=<value optimized out>) at yelp-base.c:124
#63 0x10017ce4 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at yelp-main.c:118

Thread 5 (Thread 0x48eac440 (LWP 18863)):
#0  0x0feeed7c in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	r4 = <value optimized out>
	r7 = <value optimized out>
	r12 = <value optimized out>
	r5 = <value optimized out>
	r8 = <value optimized out>
	r10 = <value optimized out>
	r0 = <value optimized out>
	r3 = <value optimized out>
	r6 = <value optimized out>
	r9 = <value optimized out>
	r11 = <value optimized out>
	sc_ret = <value optimized out>
	oldtype = <value optimized out>
#1  0x00caa950 in _pr_poll_with_poll (pds=<value optimized out>, 
    npds=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
	stack_syspoll = 
Thread 4 (Thread 0x4e9f4440 (LWP 18864)):
#0  0x0fcbc4f8 in __pthread_cond_timedwait (cond=<value optimized out>, 
    mutex=<value optimized out>, abstime=<value optimized out>)
    at pthread_cond_timedwait.c:160
	r4 = <value optimized out>
	r7 = <value optimized out>
	r12 = <value optimized out>
	r5 = <value optimized out>
	r8 = <value optimized out>
	r10 = <value optimized out>
	r0 = <value optimized out>
	r3 = <value optimized out>
	r6 = <value optimized out>
	r9 = <value optimized out>
	r11 = <value optimized out>
	arg1 = <value optimized out>
	__ret = <value optimized out>
	rt = Current language:  auto; currently c

Thread 3 (Thread 0x4f3f4440 (LWP 18865)):
#0  0x0fcbbf44 in __pthread_cond_wait (cond=<value optimized out>, 
    mutex=<value optimized out>) at pthread_cond_wait.c:153
	r4 = <value optimized out>
	r7 = <value optimized out>
	r12 = <value optimized out>
	r5 = <value optimized out>
	r8 = <value optimized out>
	r10 = <value optimized out>
	r0 = <value optimized out>
	r3 = <value optimized out>
	r6 = <value optimized out>
	r9 = <value optimized out>
	r11 = <value optimized out>
	arg1 = <value optimized out>
	futex_val = <value optimized out>
	buffer = 
Thread 2 (Thread 0x4fdf4440 (LWP 18866)):
#0  0x0fcbbf44 in __pthread_cond_wait (cond=<value optimized out>, 
    mutex=<value optimized out>) at pthread_cond_wait.c:153
	r4 = <value optimized out>
	r7 = <value optimized out>
	r12 = <value optimized out>
	r5 = <value optimized out>
	r8 = <value optimized out>
	r10 = <value optimized out>
	r0 = <value optimized out>
	r3 = <value optimized out>
	r6 = <value optimized out>
	r9 = <value optimized out>
	r11 = <value optimized out>
	arg1 = <value optimized out>
	futex_val = <value optimized out>
	buffer = 
Thread 1 (Thread 0x4810fd40 (LWP 18862)):
#0  0x0fcc1aa0 in waitpid () from /lib/libpthread.so.0
No locals.
#1  0x0ee8ee7c in IA__g_spawn_sync (working_directory=<value optimized out>, 
    argv=<value optimized out>, envp=<value optimized out>, 
    flags=<value optimized out>, child_setup=<value optimized out>, 
    user_data=<value optimized out>, standard_output=<value optimized out>, 
    standard_error=<value optimized out>, exit_status=<value optimized out>, 
    error=<value optimized out>) at gspawn.c:374
	outpipe = <value optimized out>
	errpipe = <value optimized out>
	pid = <value optimized out>
	fds = Current language:  auto; currently asm

The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
</snip>
Comment 1 W. Michael Petullo 2008-06-03 20:09:08 EDT
Is this related to bug #446014?
Comment 2 Ian Chapman 2008-06-18 21:33:26 EDT
Created attachment 309810 [details]
Backtrace from yelp
Comment 3 Kayvan Sylvan 2008-06-19 02:25:08 EDT
This happens on x86_64 as well. Stack trace follows:

(gdb) run
Starting program: /usr/bin/yelp 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffb63a337b0 (LWP 16479)]

(yelp:16479): Yelp-WARNING **: Yelper initialization failed for 0xc82c40

[New Thread 0x410cd950 (LWP 16484)]
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
[New Thread 0x41ace950 (LWP 16485)]
Detaching after fork from child process 16486.
[New Thread 0x424cf950 (LWP 16487)]
[Thread 0x424cf950 (LWP 16487) exited]
[Thread 0x41ace950 (LWP 16485) exited]
[New Thread 0x42ed0950 (LWP 16489)]
[Thread 0x410cd950 (LWP 16484) exited]
[New Thread 0x410cd950 (LWP 16490)]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffb64710ce6 in nsEmbedStream::AppendToStream (this=0x10d4870, 
    aData=<value optimized out>, aLen=5531) at nsEmbedStream.cpp:199
199						aLen); /* len */
Current language:  auto; currently c++
Missing separate debuginfos, use: debuginfo-install alsa-lib.x86_64
audiofile.x86_64 avahi.x86_64 bug-buddy.x86_64 bzip2.x86_64 e2fsprogs.x86_64
elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64
gail.x86_64 gnome-keyring.x86_64 gtk-nodoka-engine.x86_64 hunspell.x86_64
keyutils.x86_64 krb5.x86_64 lcms.x86_64 libXau.x86_64 libXcomposite.x86_64
libXcursor.x86_64 libXdmcp.x86_64 libXext.x86_64 libXfixes.x86_64 libXft.x86_64
libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64 libXrender.x86_64 libXt.x86_64
libcap.x86_64 libcroco.x86_64 libgsf.x86_64 libjpeg.x86_64 libpng.x86_64
librsvg2.x86_64 libselinux.x86_64 libxcb.x86_64 nss.x86_64 openssl.x86_64
pixman.x86_64 sqlite.x86_64
(gdb) where
#0  0x00007ffb64710ce6 in nsEmbedStream::AppendToStream (this=0x10d4870, 
    aData=<value optimized out>, aLen=5531) at nsEmbedStream.cpp:199
#1  0x00007ffb6411ab95 in EmbedPrivate::AppendToStream (this=0xc9cdb0, 
    aData=0x7fff6d19f000 "<html
xmlns=\"http://www.w3.org/1999/xhtml\"><head><title>Desktop</title><style
type=\"text/css\">\n        body {\n          margin: 0px;\n          padding:
0px;\n        }\n        h1 {\n          font-size:"..., aLen=5531) at
EmbedPrivate.cpp:689
#2  0x00000000004146de in window_write_html (data=0x10bf970)
    at yelp-window.c:2743
#3  0x000000000041616d in page_request_cb (document=<value optimized out>, 
    signal=<value optimized out>, req_id=<value optimized out>, 
    func_data=0xe60300, window=0xbd2080) at yelp-window.c:888
#4  0x000000000041d59b in request_idle_page (request=0xc19dc0)
    at yelp-document.c:674
#5  0x00000036d263749b in IA__g_main_context_dispatch (
    context=<value optimized out>) at gmain.c:2009
#6  0x00000036d263ac7d in g_main_context_iterate (
    context=<value optimized out>, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2642
#7  0x00000036d263b1ad in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2850
#8  0x000000375c983a98 in IA__gtk_main () at gtkmain.c:1163
#9  0x00000000004198f4 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at yelp-main.c:121
(gdb) 

Comment 4 Kayvan Sylvan 2008-06-19 02:29:14 EDT
Forgot the version number info.

GNOME yelp 2.22.1

yelp-2.22.1-1.fc9.x86_64
Comment 5 Nicola Soranzo 2008-06-19 12:56:52 EDT
*** Bug 452063 has been marked as a duplicate of this bug. ***
Comment 6 James Bannon 2008-06-19 16:15:25 EDT
Ok. I get the same behaviour in F9 x86. I also get the same behaviour in
Devhelp. It seems to be related to xulrunner update to Mozilla XULRunner 1.9 -
2008061712.
Comment 7 martin coker 2008-06-19 19:04:51 EDT
Just joining as I have same issue on f9x86_64:
(yelp:3061): Yelp-WARNING **: Yelper initialization failed for 0x1766450

OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
Comment 8 James Bannon 2008-06-21 07:34:04 EDT
The yelp update seems to have fixed the startup problem, though there are other
issues that are logged separately.
Comment 9 Ian Chapman 2008-06-21 20:37:09 EDT
Created attachment 309986 [details]
Backtrace from yelp-2.22.1-3.fc9.ppc
Comment 10 Ian Chapman 2008-06-21 20:38:41 EDT
The problem may have been fixed on other archs but yelp still crashes on startup
on ppc32 at least. The backtrace is above.

yelp-2.22.1-3.fc9.ppc
xulrunner-1.9-1.fc9.ppc

Comment 11 Alex Lancaster 2008-07-10 21:15:53 EDT
Still getting the same crash on startup:

$ rpm -q yelp xulrunner
yelp-2.22.1-3.fc9.x86_64
xulrunner-1.9-1.fc9.x86_64
Comment 12 Nicola Soranzo 2008-07-11 05:33:27 EDT
Works for me on i386.
Comment 13 Matěj Cepl 2008-07-28 20:07:01 EDT
*** Bug 448306 has been marked as a duplicate of this bug. ***
Comment 14 Ian Chapman 2008-08-26 00:19:11 EDT
Not sure exactly what fixed it, but I've noticed it no longer occurs for me on ppc now with the following:

yelp-2.22.1-4.fc9.ppc
xulrunner-1.9.0.1-1.fc9.ppc

So I suppose if it's fixed for Alex also, the bug can be closed.
Comment 15 Matthew Barnes 2008-12-01 09:46:38 EST
Closing as WORKSFORME per comment #14.
Comment 16 Alex Lancaster 2008-12-01 09:53:03 EST
With the current version on F-9:

$ rpm -q yelp xulrunner
yelp-2.22.1-6.fc9.x86_64
xulrunner-1.9.0.4-1.fc9.x86_64

still gets the same crash.  Re-opening.

# yelp 
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
Segmentation fault
Comment 17 Bug Zapper 2009-06-09 21:10:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Matthew Barnes 2009-06-21 09:26:08 EDT
Starts up fine on Fedora 11.  Closing.

Note You need to log in before you can comment on or make changes to this bug.